OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeCurve Class Reference

This class implements the mapping between classes
class Curve from StepGeom which
describes a Curve from prostep and Curve from Geom.
As Curve is an abstract class
this class an access to the sub-class required.
.

`#include <StepToGeom_MakeCurve.hxx>`

Inheritance diagram for StepToGeom_MakeCurve:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeCurve (const Handle(StepGeom_Curve)&C)
Standard_EXPORT const Handle_Geom_Curve & | Value () const
## Private Attributes
Handle_Geom_Curve | theCurve

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeCurve::StepToGeom_MakeCurve | ( | const Handle(StepGeom_Curve)& | C | ) |

## Member Function Documentation

void StepToGeom_MakeCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_Curve& StepToGeom_MakeCurve::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_Curve StepToGeom_MakeCurve::theCurve`[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeCurve.hxx